Subject: Re: How to make cygwin/bash shell work in emacs
From: "Ehud Karni" <[email-masked]>
To: "Roman Adar" <[email-masked]>
Cc: Chet Ramey <[email-masked]>, [email-masked]
Date: Wed, 3 Oct 2001 00:18:32 +0200

On Tue, 2 Oct 2001 14:43:23 -0700, Roman Adar <[email-masked]> wrote:
> 
> When I'm in the shell in emacs I just type "perl file_name.pl <options>". 
> 
> Also another thing, maybe important. In the cygiwn shell I get the prompt:
> 
> Administrator@ROME ~
> $ 
> 
> (Where ROME is my machine name). 
> 
> While the shell in emacs shows:
> 
> bash-2.05$

OK. That clarify the situation. I assumed INCORRECTLY that you run the
perl directly from your Emacs (not in sub-shell). In your case bash
executes ~/.bashrc, So if it does not exist create it and add the line:
    source /etc/profile
That should solve your problems.

You should keep the (setenv "Bash_ENV" "/etc/profile") for commands 
executed directly from Emacs (like shell-command [M-!] or compilation).

Ehud.

-- 
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-7966-561 Fax: +972-3-7966-667   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/